# $Revision: 1.19 $, $Date: 2008/07/27 23:03:11 $
Summary:	Emulation library of CPU 6502 and Pokey chip used in Atari XL/XE
Summary(pl.UTF-8):	Biblioteka emulacji procesora 6502 i układu Pokey z Atari XL/XE
Name:		libsap
Version:	1.54.1
Release:	2
License:	Freeware
Group:		Libraries
#Source0:	http://kunik.republika.pl/sap/dl/%{name}-%{version}.tar.gz
Source0:	http://asma.atari.org/bin/sapsrc.zip
# Source0-md5:	11a365228b2a88f6c47174c1c693e04e
Patch0:		%{name}-linux.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-warnings.patch
Patch3:		%{name}-c.patch
URL:		http://kunik.republika.pl/sap/
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SAP Library is a software emulation of CPU 6502 microprocessor and
Pokey chip. Those two chips are used in Atari XL/XE computers. SAP
Library is used to to run programs written in 6502 machine language,
programs that are using Pokey chip to play tunes and sounds.

%description -l pl.UTF-8
Biblioteka SAP to programowa emulacja procesora 6502 oraz układu
Pokey. Te dwa układy były używane w komputerach Atari XL/XE.
Biblioteka SAP służy do uruchamiania napisanych w języku maszynowym
6502 programów, które używają układu Pokey do odtwarzania muzyki i
dźwięków.

%package devel
Summary:	Header files for libsap
Summary(pl.UTF-8):	Pliki nagłówkowe libsap
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for libsap.

%description devel -l pl.UTF-8
Pliki nagłówkowe libsap.

%package static
Summary:	Static libsap library
Summary(pl.UTF-8):	Statyczna biblioteka libsap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsap library.

%description static -l pl.UTF-8
Statyczna biblioteka libsap.

%prep
%setup -q -n sap.src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f sapLib.h libsap.h
ln -sf libsap.h sapLib.h

%build
%{__make} libsap.la \
	CC="%{__cxx}" \
	OPTS="%{rpmcflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README legal.txt pokey.png
%attr(755,root,root) %{_libdir}/libsap.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsap.so
%{_libdir}/libsap.la
%{_includedir}/libsap.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsap.spec,v $
Revision 1.19  2008/07/27 23:03:11  arekm
- release 2

Revision 1.18  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.16  2006/10/29 13:10:54  qboosh
- updated to 1.54.1 (1.54 from ASMA, Linux port by Dominik Mierzejewski)
- updated shared patch, added linux,warnings,c patches
- -devel R: libstdc++-devel

Revision 1.15  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.14  2005/06/14 19:20:42  zbyniu
- BR: libstdc++-devel

Revision 1.13  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.12  2004/04/04 20:05:05  qboosh
- updated shared patch, lib64 fixes; release 6

Revision 1.11  2004/01/21 23:11:04  qboosh
- release 5 for Ac

Revision 1.10  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/03/24 21:53:26  wolf
- cxx is required

Revision 1.7  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/08/10 14:50:08  kloczek
- release 4: use new %doc.

Revision 1.5  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.4  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 22:26:38  qboosh
- release 3: build shared and static versions

Revision 1.2  2002/02/03 16:39:54  kloczek
- cosmetics.

Revision 1.1  2002/02/03 11:02:36  qboosh
- new: 6502+Pokey emulation library (static only for now)
- based on spec from tarball
